<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <style>
        div {
            border: solid 4px orangered;
        }

        .fundo1 {
            background-color: yellow;
        }
    </style>
</head>

<body>
    <div id=" div1">
        <h1>Testezinhoo</h1>
    </div>
    <button id="bt1">mudar cor de fundo</button>

    <script type="text/javascript">

        $(document).ready(function () {
            alert('BOM DIAAAA');


            $("#bt1").on("click", function () {
                alert('...cade o sol ?');
                $("body").addClass("fundo1");
            });
        });
    </script>

</body>

</html>